Subject: Re: The Korn Shell [was: Re: What's Up With That (KSH)?]
From: Thomas Baker <[email-masked]>
To: David T-G <[email-masked]>
Cc: "CygWin Users' List" <[email-masked]>
Date: Wed, 12 Jun 2002 16:49:12 +0200

On Wed, Jun 12, 2002 at 08:15:16AM -0500, David T-G wrote:
> % Hmm.  I see versions of KSH there for linux, netbsd, openbsd,
> % unixware, etc -- but not cygwin...  Are you sure it is there?
> 
> If I read it right, you need to check the ast-ksh package instead of the
> bare ksh binary.

Yikes, I guess so!  I downloaded INIT and ast-ksh, unpacked
them with Power Archiver (and was prompted to rename some oddly
named files), and I don't really understand what it is and how
it is supposed to all be installed.  The readme says to run
"bin/package help intro".  But "help intro" is a two-page
discussion of environment variables.  It looks like a time
sink, and I'm not sure what lies at the end of the rainbow.
Is one supposed to install a package-management environment
just to install a package, and is this all compatible with
Cygwin?  I just want a Korn shell...

> % Because of KSH, I still also use MKS Toolkit, which has an older KSH.
> 
> Even though it's broken? :-)

I have a shell script that I rely on constantly, using it 10-20
times daily since I wrote (and published) it in 1994.  I used
the MKS version of KSH, so I guess that means it is the older
Korn shell?  The script uses some KSH-specific syntax (eg,
"print -u2" and "print -u3"), otherwise I would have ported
it to bash a long time ago.  Or if I were more than just an
amateur script writer I would long ago have ported it to perl.

Tom

-- 
Dr. Thomas Baker                                [email-masked]
Institutszentrum Schloss Birlinghoven          mobile +49-171-408-5784
Fraunhofer-Gesellschaft                          work +49-30-8109-9027
53754 Sankt Augustin, Germany                     fax +49-2241-14-2619

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/